﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
namespace Gsample35
{ // サブメニュー
  public partial class CSGPRO35 : Form
  {
     public CSGPRO35()
     {
         InitializeComponent();
     }
     private void Form1_Load(object sender, EventArgs e)
     {
        Size = new Size(250, 150);
        Text = "サブメニュー";
        MenuItem disp = new MenuItem( //表示
              "表示(P)", new EventHandler(d_Click));
        MenuItem erase = new MenuItem( // 消去
              "消去(E)", new EventHandler(e_Click));
        MenuItem exit = new MenuItem( // 終了
              "終了(X)", new EventHandler(x_Click));
        MenuItem proc = new MenuItem( // 処理
              "処理(W)", new MenuItem[] {disp, erase, exit});
        MainMenu menu = new MainMenu( // メインメニュー
                          new MenuItem[] {proc});
        this.BackColor = System.Drawing.Color.White;
        this.Menu = menu;
     }
     void d_Click(object sender, EventArgs e)
     {
        Graphics g = CreateGraphics();
        Font font = new Font("MS", 10F);
        Pen pen = new Pen(Color.Black);
        SolidBrush brush = new SolidBrush(Color.Black);
        g.DrawString("C# メニュー", font, brush, 10, 10);
     }
     void e_Click(object sender, EventArgs e)
     {
        Graphics g = CreateGraphics();
        g.Clear(Color.White);
     }
     void x_Click(object sender, EventArgs e)
     {
        Application.Exit();
     }
  }
}
